#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	OpenSSL-Random
Summary:	Crypt::OpenSSL::Random - accessing the OpenSSL pseudo-random number generator
Summary(pl.UTF-8):	Crypt::OpenSSL::Random - dostęp do generatora liczb pseudolosowych z OpenSSL
Name:		perl-Crypt-OpenSSL-Random
Version:	0.15
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	bcde8d5a822c91376deda3c4f0c75fbe
URL:		http://search.cpan.org/dist/Crypt-OpenSSL-Random/
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Crypt-OpenSSL-Guess
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::OpenSSL::Random provides the ability to seed and query the
OpenSSL library's pseudo-random number generator.

%description -l pl.UTF-8
Moduł Crypt::OpenSSL::Random daje możliwość zasilania oraz odpytywanie
generatora liczb pseudolosowych z biblioteki OpenSSL.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/Crypt/OpenSSL/Random.pm
%dir %{perl_vendorarch}/auto/Crypt/OpenSSL/Random
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/OpenSSL/Random/*.so
%{_mandir}/man3/*
%changelog
* Wed Dec 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-OpenSSL-Random.git;a=log;h=master

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> fc6425d
- rebuild with perl 5.30.0
- release 4 (by relup.sh)

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> cedcccc
- release 3 (by relup.sh)

* Sun Sep 02 2018 Jan Rękorajski <baggins@pld-linux.org> 981d59c
- release 2 (by relup.sh)

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> 2ac8510
- missing perl-Crypt-OpenSSL-Guess BR

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> f7cd902
- updated to 0.15

* Thu Mar 08 2018 Marcin Krol <hawk@tld-linux.org> ec34543
- release 4

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> f204c85
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> bd59e33
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Fri May 19 2017 Mariusz Mazur <mmazur@pld-linux.org> bfef08f
- Up to 0.11

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> f337d99
- rebuild with perl 5.24.0
- release 12 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 8e63561
- release 11 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 671a2e2
- x32 rebuild
- release 10 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 3b8f473
- release 9 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 291a865
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 8321fb1
- rebuild for perl 5.20
- release 8 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 24f0b42
- rebuild with perl 5.18.0
- release 7 (by relup.sh)

* Fri Oct 07 2011 lisu <lisu@pld-linux.org> 86c1a31
- rel 6

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 1a33119
- release 5

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5564d03
- release 4

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 048c602
- release 3

